module ReportsMash
  module Engine
    class ThreadState
      attr_accessor :transaction
        def initialize
          @transaction = nil
        end

        def self.get_current_state
          Thread.current[:reportsmash_state] ||= ThreadState.new
        end

        def self.clear
          Thread.current[:reportsmash_state] = nil
        end
    end
  end
end

